Subject: bug#25316: Patch for bug#25316: 26.0.50; Bugs in testcover-reinstrument

From: Gemini Lasswell <[email-masked]>
Date: Tue, 03 Oct 2017 10:32:55 -0700

Noam Postavsky writes:

> Overriding the function-definition of edebug-before and edebug-after
> doesn't seem very clean.  It would be better to have an
> edebug-before-function which is `funcall'ed I think (I know your patch
> didn't introduce this, it just makes it more obvious.  Perhaps it could
> be addressed later).

An advantage to using an overridden function-definition is that it makes
backtraces of instrumented code easier to read.

>> +    ((or `(\` ,bq-form) `(\` . ,bq-form))
>
> Isn't only the first of these is needed?  (read "`foo") ;=> (\` foo)

Yes, only the first is needed, so I'll fix this in both places.